Commits

Fabrice Gabolde committed fdb4bb8

mop classes still need to be in a package!

Comments (0)

Files changed (22)

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;
     MIME::Types->new(only_complete => 1);
 }
 
-class Floop with Floop::Controller {
+class ::Floop with Floop::Controller {
 
     use Path::Class;
     use Plack::Request;

lib/Floop/AppPlugin/Database.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/AppPlugin/Session/YAML.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Component.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Configuration.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Context.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/ContextPlugin/Notification.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/ContextPlugin/Session/YAML.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Controller.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Dispatcher.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Logger.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Logger/Console.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Logger/File.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Plugin.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Plugin/Database.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Plugin/Notification.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Plugin/Session.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Route.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/Session.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/View.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/View/DataDumper.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;

lib/Floop/View/TemplateToolkit.pm

+package Floop;
+
 use strict;
 use warnings;
 use 5.010;